<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.dto Class Hierarchy (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.dto Class Hierarchy (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/device/webcam/impl/package-tree.html">Prev</a></li>
<li><a href="../../../../io/mosip/registration/dto/biometric/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package io.mosip.registration.dto</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/ApplicantValidDocumentDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">ApplicantValidDocumentDto</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthenticationValidatorDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthenticationValidatorDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthNDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthNDTO</span></a>
<ul>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthNClientIDDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthNClientIDDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthNSendOTPDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthNSendOTPDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthNUserOTPDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthNUserOTPDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthNUserPasswordDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthNUserPasswordDTO</span></a></li>
</ul>
</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthNRequestDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthNRequestDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthorizationDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthorizationDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuthTokenDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuthTokenDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">BaseDTO</span></a>
<ul>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">AuditDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/OSIDataDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">OSIDataDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationMetaDataDTO</span></a></li>
</ul>
</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/DeviceDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">DeviceDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/ErrorResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">ErrorResponseDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/ExceptionListDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">ExceptionListDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/IndividualTypeDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">IndividualTypeDto</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/LoginUserDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">LoginUserDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/MainResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">MainResponseDTO</span></a>&lt;T&gt; (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.dto.mastersync.<a href="../../../../io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html" title="class in io.mosip.registration.dto.mastersync"><span class="typeNameLink">MasterSyncBaseDto</span></a>
<ul>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/UserDetailDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">UserDetailDto</span></a></li>
</ul>
</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/NotificationDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">NotificationDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/OtpGeneratorRequestDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">OtpGeneratorRequestDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/OtpGeneratorResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">OtpGeneratorResponseDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/OtpValidatorResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">OtpValidatorResponseDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PacketStatusDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PacketStatusReaderDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PacketStatusReaderDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PacketUploadDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PacketUploadDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PolicyDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PolicyDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegArchiveDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegArchiveDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationDataSyncDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationDataSyncDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationDataSyncRequestDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationDataSyncRequestDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationExceptionJSONInfoDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationExceptionJSONInfoDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationIdsDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationIdsDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationResponseDataSyncDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationResponseDataSyncDTO</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PreRegistrationResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PreRegistrationResponseDTO</span></a>&lt;T&gt;</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/PublicKeyResponse.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">PublicKeyResponse</span></a>&lt;T&gt;</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegCenterMachineUserReqDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegCenterMachineUserReqDto</span></a>&lt;T&gt;</li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationApprovalDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationApprovalDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationCenterDetailDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationCenterDetailDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationCenterUserMachineMappingDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationCenterUserMachineMappingDto</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationIdDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationIdDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegistrationPacketSyncDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/RegPacketStatusDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">RegPacketStatusDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">ResponseDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/SelectionListDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">SelectionListDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/SuccessResponseDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">SuccessResponseDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/SyncDataProcessDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">SyncDataProcessDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/SyncRegistrationDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">SyncRegistrationDTO</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/UserDetailResponseDto.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">UserDetailResponseDto</span></a></li>
<li type="circle">io.mosip.registration.dto.<a href="../../../../io/mosip/registration/dto/UserMachineMappingDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">UserMachineMappingDTO</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/device/webcam/impl/package-tree.html">Prev</a></li>
<li><a href="../../../../io/mosip/registration/dto/biometric/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
